Module
Contents
Index 🔎︎

# Close Statement

Zavrie určený súbor, ktorý bol otvorený príkazom Open.

## Syntax:

    Close Číslo_súboru As Integer[, Číslo_súboru_2 As Integer[,...]]

## Paremetre:

Číslo_súboru: Celočíselný výraz určujúci číslo dátového kanálu, ktorý bol otvorený príkazomOpen.

## Príklad:

    Sub ExampleWorkWithAFile

    Dim iNumber As Integer

    Dim sLine As String

    Dim aFile As String

    Dim sMsg As String

        aFile = "c:\data.txt"

        sMsg = ""

        iNumber = Freefile

        Open aFile For Output As #iNumber

        Print #iNumber, "Prvý riadok textu"

        Print #iNumber, "Ďalší riadok textu"

        Close #iNumber

        iNumber = Freefile

        Open aFile For Input As iNumber

        While Not eof(iNumber)

            Line Input #iNumber, sLine

            If sLine <>"" Then

                sMsg = sMsg & sLine & chr(13)

            End If

        Wend

        Close #iNumber

        MsgBox sMsg

    End Sub